## TKLite configuration file for Apache 1.3
##
## Include this by placing "Include /etc/tkl.conf"
## at the end of the /etc/apache/httpd.conf file, or copy a similar stanza to
## the /etc/apache/httpd.conf configuration file.
##
## Uncomment or copy one or more portal entries like the following to activate
## a new portal.
##
## Restart tkl indexer by issuing "/etc/init.d/tkl restart" 
## Reindex tkl indexer by issuing "/etc/init.d/tkl index" 
## Restart tkl oai server issuing "/etc/init.d/libtkl-perl restart"
## Restart apache server by issuing "/etc/init.d/apache restart" 
##
## Notice: For each stanza copied to the /etc/httpd.conf file, a 
## <Directory /var/www/portal/path> line must be present in this TKL config
## file, otherwise the portal will not be indexed. 
##
## Notice: When installing a TKL portal in a virtual host, there must be 
## a symlink from the "/virtual/host/document/root/tkl" to
## the "/global/document/root/tkl", otherwise the tkl-handler will not be 
## found.
##
## Warning: an Alias like "Alias /tkl /var/www/tklite" does not work, 
## since the Sablotron XSLT processer can not follow an Apache alias!
##
## Warning: do not make a symlink from one portal root named in this file to 
## another, or the IDZebra indexing daemon will be started multiple times in 
## one portal, which is definitly not a good thing to do!

## Run TKLite portal in a subdirectory - assuming DocumentRoot is "/var/www"
#<Directory /var/www/portal/path>
#   <IfModule mod_dir.c>
#       DirectoryIndex index.tkl
#   </IfModule>
#   <IfModule mod_mime.c>
#      AddHandler tkl-handler .tkl
#      Action tkl-handler /tkl/shell.php
#   </IfModule>
#</Directory>

## Run TKLite portal in a virtual host
## Remember "ln -s /var/www/tkl /var/www/virtual/doc/root"
#<VirtualHost www.virtual.host.name>
#   ServerName www.virtual.host.name
#   ServerAlias alias1.host.name alias2.host.name
#   DocumentRoot /var/www/virtual/doc/root
#   <Directory /var/www/virtual/portal/path>
#      <IfModule mod_dir.c>
#          DirectoryIndex index.tkl
#      </IfModule>
#      <IfModule mod_mime.c>
#         AddHandler tkl-handler .tkl
#         Action tkl-handler /tkl/shell.php
#      </IfModule>
#   </Directory>
#</VirtualHost>
